# classes/phing/tasks/system/XsltTask.php

## \XsltTask
jump to top

Implements an XSLT processing filter while copying files.

This is a shortcut for calling the <copy> task with the XSLTFilter used in the <filterchains> section.

Extends from
  \CopyTask
author
  Andreas Aderhold, andi@binarycloud.com
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Id: XsltTask.php 526 2009-08-11 12:11:17Z mrook $

### Properties

`$parameters= 'array'`

Parameters to pass to XSLT procesor.

Default value `array` Details

Type

`$xsltFilter= ''`

XSLTFilter object that we use to handle transformation.

Details

Type

### Methods

`createParam( ) : \XSLTParam`
Support nested tags useing XSLTParam class.
Returns

Type | Description
--- | ---
\XSLTParam |

`init( ) :`
Setup the filterchains w/ XSLTFilter that we will use while copying the files.
`main( ) :`
Set any XSLT Param and invoke CopyTask::main()
Details

see
  \CopyTask::main()

`setResolveDocumentExternals( bool $resolveExternals ) :`
Whether to resolve entities in the XML document.
Parameters

Name | Type | Description
--- | --- | ---
$resolveExternals | bool |

Details

since
  2.4

`setResolveStylesheetExternals( bool $resolveExternals ) :`
Whether to resolve entities in the stylesheet.
Parameters

Name | Type | Description
--- | --- | ---
$resolveExternals | bool |

Details

since
  2.4

`setStyle( \PhingFile $style ) :`
Set the stylesheet to use.
Parameters

Name | Type | Description
--- | --- | ---
$style | \PhingFile |

Documentation was generated by DocBlox 0.13.1.